> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ghostposter.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Source



## OpenAPI

````yaml https://server.ghostposter.co/openapi.json put /api/v1/projects/{project_id}/sources/{source_id}
openapi: 3.1.0
info:
  title: GHOST POSTER - BACKEND
  description: 'Version: 1.0.0, Build: 1000'
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/projects/{project_id}/sources/{source_id}:
    put:
      tags:
        - Sources
      summary: Update Source
      operationId: update_source_api_v1_projects__project_id__sources__source_id__put
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
            title: Project Id
        - name: source_id
          in: path
          required: true
          schema:
            type: string
            title: Source Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateSourceSchema'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ServerResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    UpdateSourceSchema:
      properties:
        Type:
          anyOf:
            - type: string
              enum:
                - IMAGE
                - DOCUMENT
                - WEBSITE
                - TEXT
            - type: 'null'
          title: Type
        Description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        Source:
          anyOf:
            - $ref: '#/components/schemas/Source'
            - type: 'null'
        IngestionStatus:
          anyOf:
            - type: string
              enum:
                - PENDING
                - SUCCESS
                - FAILED
            - type: 'null'
          title: Ingestionstatus
      type: object
      title: UpdateSourceSchema
    ServerResponse:
      properties:
        data:
          anyOf:
            - {}
            - type: 'null'
          title: Data
        success:
          type: boolean
          title: Success
      type: object
      required:
        - success
      title: ServerResponse
      example:
        data: {}
        success: true
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Source:
      properties:
        Type:
          type: string
          enum:
            - TEXT
            - URL
            - FILE
          title: Type
        Source:
          type: string
          title: Source
      type: object
      required:
        - Type
        - Source
      title: Source
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````